<?php

namespace kernel\themes\default\controllers;

use kernel\Controller;

class MainController extends Controller
{

    protected function init(): void
    {
        parent::init();
        $this->cgView->viewPath = APP_DIR . "/themes/default/views/main/";
        $this->cgView->layout = "main.php";
        $this->cgView->layoutPath = APP_DIR . "/themes/default/views/layout/";
        $this->cgView->addVarToLayout("resources", "/resources/default");
    }

    public function actionIndex(): void
    {
        $this->cgView->render("index.php");
    }
}