<?php
/**
 * @var string $resources;
 * @var \kernel\CgView $view
 */

$view->setTitle("Донецкое гештальт сообщество");
$view->setMeta([
    'description' => 'Донецкое гештальт сообщество'
]);
?>
<div class="flex flex-col container m-auto text-center text-dark gap-[31px]"><h1 class="text-[40px] uppercase">
        Донецкое гештальт сообщество</h1>
    <p class="text-dark text-[19px] max-w-[832px] mx-auto">это добровольное самоорганизующееся сообщество
        специалистов г. Донецка и Донецкого края в области психологического консультирования и гештальт-терапии.</p>
</div>
<div class="flex justify-center mt-[100px] gap-[14px] container mx-auto">
    <div class="relative bg-blue border-[1px] border-white rounded-[25px] pr-[48px] max-w-[650px] min-h-[480px] w-full font-[400]">
        <img alt="intro" loading="lazy" width="1" height="1" decoding="async" data-nimg="1"
             class="w-auto h-auto absolute" style="color:transparent" src="<?= $resources ?>/images/intro.svg"/>
        <h3 class="text-white text-[38px] mt-[214px] text-end leading-[41px]"><span
                class="bg-darkBlue px-[12px] py-[3px] rounded-[18px]">Цель</span> нашего<br/>объединения:</h3>
        <p class="ml-auto mt-[50px] text-start text-white text-[19px] leading-[20px] max-w-[400px] font-[700]">
            взаимное обогащение профессиональными знаниями, идеями и опытом на конференциях и семинарах, в учебных
            программах и на интенсивах, на специализациях и в супервизорских группах.</p></div>
    <div class="flex flex-col gap-[12px] max-w-[368px]">
        <div class="flex items-center bg-blue rounded-[25px] min-h-[234px] px-[68px] py-[60px] relative"><p
                class="text-white font-[500] leading-[23px] text-[20px]">Через собственное развитие мы развиваем и
                популяризируем гештальт-подход</p><img alt="palm" loading="lazy" width="1" height="1" decoding="async"
                                                       data-nimg="1" class="w-auto h-auto absolute right-3 bottom-0"
                                                       style="color:transparent" src="<?= $resources ?>/images/palm.svg"/></div>
        <div class="flex flex-col items-center rounded-[25px] min-h-[234px] px-[68px] pt-[40px] border-[4px] border-white">
            <div class="flex relative left-[-20px] bottom-[-10px]"><img alt="avatar" loading="lazy" width="101"
                                                                        height="100" decoding="async" data-nimg="1"
                                                                        class="undefined relative"
                                                                        style="color:transparent"
                                                                        srcSet="<?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=128&amp;q=75 1x, <?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=256&amp;q=75 2x"
                                                                        src="<?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=256&amp;q=75"/><img
                    alt="avatar" loading="lazy" width="101" height="100" decoding="async" data-nimg="1"
                    class="right-[55px] z-2 relative" style="color:transparent"
                    srcSet="<?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=128&amp;q=75 1x, <?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=256&amp;q=75 2x"
                    src="<?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=256&amp;q=75"/><img alt="avatar"
                                                                                                            loading="lazy"
                                                                                                            width="101" height="100"
                                                                                                            decoding="async"
                                                                                                            data-nimg="1"
                                                                                                            class="right-[105px] z-3 relative"
                                                                                                            style="color:transparent"
                                                                                                            srcSet="<?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=128&amp;q=75 1x, <?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=256&amp;q=75 2x"
                                                                                                            src="<?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=256&amp;q=75"/><img
                    alt="avatar" loading="lazy" width="101" height="100" decoding="async" data-nimg="1"
                    class="right-[155px] z-4 relative" style="color:transparent"
                    srcSet="<?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=128&amp;q=75 1x, <?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=256&amp;q=75 2x"
                    src="<?= $resources ?>/_next/image?url=%2Fimages%2Favatar.png&amp;w=256&amp;q=75"/></div>
            <p class="text-blue font-[900] text-[26px]">+ 145 учасников</p></div>
    </div>
</div>
<div class="mt-[50px] flex gap-[64px] justify-center container mx-auto">
    <div class="flex-col flex gap-[35px] items-center"><img alt="oppgp" loading="lazy" width="140" height="37"
                                                            decoding="async" data-nimg="1" style="color:transparent"
                                                            src="<?= $resources ?>/images/oppgp.svg"/>
        <p class="text-grey max-w-[300px] text-[16px] leading-[17px] text-center font-[700]">Донецкое
            гештальт-сообщество является частью Всероссийского общества психологов практикующих гештальт-подход (ОПП
            ГП). </p></div>
    <div class="flex-col flex gap-[19px] items-center"><img alt="oppgp" loading="lazy" width="177" height="53"
                                                            decoding="async" data-nimg="1" style="color:transparent"
                                                            src="<?= $resources ?>/images/pmg.svg"/>
        <p class="text-grey max-w-[507px] text-[16px] leading-[17px] text-center font-[700]">В своей работе мы
            придерживаемся стандартов программы «Московский Гештальт Институт», а также стандартов Европейской
            Ассоциации Гештальт Терапии, Этического Кодекса Гештальт Терапевта и принципов гуманизма.</p></div>
</div>
<div class="flex flex-col mt-[100px]">
    <div class="flex items-center max-w-[1033px] mx-auto justify-between w-full mb-[50px]">
        <div class="undefined px-[25px] py-[10px] max-w-[225px] min-w-[180px] justify-center w-fit cursor-pointer border-blue border-[1px] flex gap-[10px] rounded-[10px]">
            <p class="text-blue font-[700] text-[16px]">Конференции</p><img alt="chevronDown" loading="lazy"
                                                                            width="11" height="8" decoding="async"
                                                                            data-nimg="1" style="color:transparent"
                                                                            src="<?= $resources ?>/images/chevronDown.svg"/></div>
        <h3 class="text-black text-[26px] uppercase">Мероприятия сообщества</h3>
        <button class="flex items-center justify-center whitespace-nowrap rounded-[6px] font-[400] bg-blue text-[16px] text-white max-h-[39px] px-[25px] py-[10px] undefined">
            Все мероприятия
        </button>
    </div>
    <div class="flex justify-around"><a
            class="border-[1px] border-white rounded-[6px] bg-darkGrey px-[13.5px] pt-[12px] pb-[35px] text-black"
            href="events/event-1"><span class="flex w-[288px] h-[177px] bg-white"></span><h5
                class="max-w-[267px] font-[500] text-[16px] leading-[18px] mt-[30px] mb-[8px] line-clamp-3 text-ellipsis">
                добровольное самоорганизующееся сообщество специалистов ... добровольное самоорганизующееся сообщество
                специалистов ...</h5>
            <p class="max-w-[267px] text-[15px] leading-[17px] line-clamp-3 text-ellipsis">добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области...</p></a><a
            class="border-[1px] border-white rounded-[6px] bg-darkGrey px-[13.5px] pt-[12px] pb-[35px] text-black"
            href="events/event-1"><span class="flex w-[288px] h-[177px] bg-white"></span><h5
                class="max-w-[267px] font-[500] text-[16px] leading-[18px] mt-[30px] mb-[8px] line-clamp-3 text-ellipsis">
                добровольное самоорганизующееся сообщество специалистов ... добровольное самоорганизующееся сообщество
                специалистов ...</h5>
            <p class="max-w-[267px] text-[15px] leading-[17px] line-clamp-3 text-ellipsis">добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области...</p></a><a
            class="border-[1px] border-white rounded-[6px] bg-darkGrey px-[13.5px] pt-[12px] pb-[35px] text-black"
            href="events/event-1"><span class="flex w-[288px] h-[177px] bg-white"></span><h5
                class="max-w-[267px] font-[500] text-[16px] leading-[18px] mt-[30px] mb-[8px] line-clamp-3 text-ellipsis">
                добровольное самоорганизующееся сообщество специалистов ... добровольное самоорганизующееся сообщество
                специалистов ...</h5>
            <p class="max-w-[267px] text-[15px] leading-[17px] line-clamp-3 text-ellipsis">добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области...</p></a><a
            class="border-[1px] border-white rounded-[6px] bg-darkGrey px-[13.5px] pt-[12px] pb-[35px] text-black"
            href="events/event-1"><span class="flex w-[288px] h-[177px] bg-white"></span><h5
                class="max-w-[267px] font-[500] text-[16px] leading-[18px] mt-[30px] mb-[8px] line-clamp-3 text-ellipsis">
                добровольное самоорганизующееся сообщество специалистов ... добровольное самоорганизующееся сообщество
                специалистов ...</h5>
            <p class="max-w-[267px] text-[15px] leading-[17px] line-clamp-3 text-ellipsis">добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области...</p></a><a
            class="border-[1px] border-white rounded-[6px] bg-darkGrey px-[13.5px] pt-[12px] pb-[35px] text-black"
            href="events/event-1"><span class="flex w-[288px] h-[177px] bg-white"></span><h5
                class="max-w-[267px] font-[500] text-[16px] leading-[18px] mt-[30px] mb-[8px] line-clamp-3 text-ellipsis">
                добровольное самоорганизующееся сообщество специалистов ... добровольное самоорганизующееся сообщество
                специалистов ...</h5>
            <p class="max-w-[267px] text-[15px] leading-[17px] line-clamp-3 text-ellipsis">добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области добровольное
                самоорганизующееся сообщество специалистов г. Донецка и Донецкого края в области...</p></a></div>
</div>
<div class="flex flex-col mt-[90px] mb-[80px] gap-[56px]">
    <div class="flex items-center max-w-[1033px] mx-auto justify-between w-full">
        <div class="undefined px-[25px] py-[10px] max-w-[225px] min-w-[180px] justify-center w-fit cursor-pointer border-blue border-[1px] flex gap-[10px] rounded-[10px]">
            <p class="text-blue font-[700] text-[16px]">Тренер</p><img alt="chevronDown" loading="lazy" width="11"
                                                                       height="8" decoding="async" data-nimg="1"
                                                                       style="color:transparent"
                                                                       src="<?= $resources ?>/images/chevronDown.svg"/></div>
        <h3 class="text-black text-[26px] uppercase">наше сообщество</h3>
        <button class="flex items-center justify-center whitespace-nowrap rounded-[6px] font-[400] bg-blue text-[16px] text-white max-h-[39px] px-[25px] py-[10px] undefined">
            Все участники
        </button>
    </div>
    <div class="flex max-w-[1033px] m-auto justify-between w-full"><a
            class=" backdrop-blur-custom border-[1px] border-white rounded-[6px] bg-darkWhite p-[10px] text-black w-fit shadow-custom"
            href="/participants/1"><img alt="image" loading="lazy" width="221" height="221" decoding="async"
                                        data-nimg="1" class="rotate-[180deg]" style="color:transparent"
                                        src="<?= $resources ?>/images/mok_human.svg"/><h5
                class="text-[18px] font-[400] leading-[20px] max-w-[190px] mt-[16px] mb-[20px]">Лукашенко Марина
                Анатольевна</h5><span class="text-lightGrey">Работает с темами<p
                    class="text-black text-[13px] leading-[15px] line-clamp-3 text-ellipsis max-w-[220px] mb-[16px] ">Финансовые изменения, болезнь, своя или близких, разрыв отношений, развод...</p></span>
            <div class="flex gap-[5px] max-w-[220px] flex-wrap ">
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Терапевт</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Супервизор</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Тренер-стажер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Тренер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Ассоциированный тренер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Ведущий тренер</span></div>
            </div>
        </a><a class=" backdrop-blur-custom border-[1px] border-white rounded-[6px] bg-darkWhite p-[10px] text-black w-fit shadow-custom"
               href="/participants/1"><img alt="image" loading="lazy" width="221" height="221" decoding="async"
                                           data-nimg="1" class="rotate-[180deg]" style="color:transparent"
                                           src="<?= $resources ?>/images/mok_human.svg"/><h5
                class="text-[18px] font-[400] leading-[20px] max-w-[190px] mt-[16px] mb-[20px]">Лукашенко Марина
                Анатольевна</h5><span class="text-lightGrey">Работает с темами<p
                    class="text-black text-[13px] leading-[15px] line-clamp-3 text-ellipsis max-w-[220px] mb-[16px] ">Финансовые изменения, болезнь, своя или близких, разрыв отношений, развод...</p></span>
            <div class="flex gap-[5px] max-w-[220px] flex-wrap ">
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Терапевт</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Супервизор</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Тренер-стажер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Тренер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Ассоциированный тренер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Ведущий тренер</span></div>
            </div>
        </a><a class=" backdrop-blur-custom border-[1px] border-white rounded-[6px] bg-darkWhite p-[10px] text-black w-fit shadow-custom"
               href="/participants/1"><img alt="image" loading="lazy" width="221" height="221" decoding="async"
                                           data-nimg="1" class="rotate-[180deg]" style="color:transparent"
                                           src="<?= $resources ?>/images/mok_human.svg"/><h5
                class="text-[18px] font-[400] leading-[20px] max-w-[190px] mt-[16px] mb-[20px]">Лукашенко Марина
                Анатольевна</h5><span class="text-lightGrey">Работает с темами<p
                    class="text-black text-[13px] leading-[15px] line-clamp-3 text-ellipsis max-w-[220px] mb-[16px] ">Финансовые изменения, болезнь, своя или близких, разрыв отношений, развод...</p></span>
            <div class="flex gap-[5px] max-w-[220px] flex-wrap ">
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Терапевт</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Супервизор</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Тренер-стажер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Тренер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Ассоциированный тренер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Ведущий тренер</span></div>
            </div>
        </a><a class=" backdrop-blur-custom border-[1px] border-white rounded-[6px] bg-darkWhite p-[10px] text-black w-fit shadow-custom"
               href="/participants/1"><img alt="image" loading="lazy" width="221" height="221" decoding="async"
                                           data-nimg="1" class="rotate-[180deg]" style="color:transparent"
                                           src="<?= $resources ?>/images/mok_human.svg"/><h5
                class="text-[18px] font-[400] leading-[20px] max-w-[190px] mt-[16px] mb-[20px]">Лукашенко Марина
                Анатольевна</h5><span class="text-lightGrey">Работает с темами<p
                    class="text-black text-[13px] leading-[15px] line-clamp-3 text-ellipsis max-w-[220px] mb-[16px] ">Финансовые изменения, болезнь, своя или близких, разрыв отношений, развод...</p></span>
            <div class="flex gap-[5px] max-w-[220px] flex-wrap ">
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Терапевт</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Супервизор</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Тренер-стажер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Тренер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Ассоциированный тренер</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[12px] py-[4px] px-[8px] rounded-[3px] border-[0.5px] text-blue font-[700]">
                    <span class="relative top-[2px]">Ведущий тренер</span></div>
            </div>
        </a></div>
</div>